Script Node
C Reference » Production Nodes Functionality

## Functions

XN_C_API XnStatus XN_C_DECL | xnCreateScriptNode (XnContext *pContext, const XnChar *strFormat, XnNodeHandle *phScript)
XN_C_API const XnChar *XN_C_DECL | xnScriptNodeGetSupportedFormat (XnNodeHandle hScript)
XN_C_API XnStatus XN_C_DECL | xnLoadScriptFromFile (XnNodeHandle hScript, const XnChar *strFileName)
XN_C_API XnStatus XN_C_DECL | xnLoadScriptFromString (XnNodeHandle hScript, const XnChar *strScript)
XN_C_API XnStatus XN_C_DECL | xnScriptNodeRun (XnNodeHandle hScript, XnEnumerationErrors *pErrors)

## Detailed Description

A Script node is a Production Node that allows running scripts, and acts as a lifetime manager for nodes created by that script.

## Function Documentation

## xnCreateScriptNode()

XN_C_API XnStatus XN_C_DECL xnCreateScriptNode | ( | XnContext * | pContext,
|  | const XnChar * | strFormat,
|  | XnNodeHandle * | phScript )

## xnLoadScriptFromFile()

XN_C_API XnStatus XN_C_DECL xnLoadScriptFromFile | ( | XnNodeHandle | hScript,
|  | const XnChar * | strFileName )

## xnLoadScriptFromString()

XN_C_API XnStatus XN_C_DECL xnLoadScriptFromString | ( | XnNodeHandle | hScript,
|  | const XnChar * | strScript )

## xnScriptNodeGetSupportedFormat()

XN_C_API const XnChar *XN_C_DECL xnScriptNodeGetSupportedFormat | ( | XnNodeHandle | hScript | ) |

## xnScriptNodeRun()

XN_C_API XnStatus XN_C_DECL xnScriptNodeRun | ( | XnNodeHandle | hScript,
|  | XnEnumerationErrors * | pErrors )